Subject: [P2PSIP] Leave

From: "Thomas Kluge" <[email-masked]>
Date: Tue, 25 May 2010 13:43:39 +0200

The mechanisms of updating the rounting tables in the overlay after "leave" 
or crash of a node is rather unclear for me.

Lets say I'm node (x) which has (z) in the list, and node (y) received the 
information about leave of node (z).
So (y) sends me (x) an update without (z). The problem is here howto realise 
that (y) had prevoiusly (z) in its neighbor table and lost it?
I see only one chance to realise that: If I store the list of predecessors 
und successors every node sent me and compare it with the actual update 
request of this node.

Is that really needed or do I see something wrong?

regards,
Thomas